@import url("font.css");
* {
    margin: 0;
    padding: 0;
}

.wapper_order {
    padding-top: 30px;
    padding-bottom: 227px;
    height: 100%;
    width: 100%;
    background-color: #f9f9f9;
}

.info_user {
    .box_avatar {
        padding: 24px;
        border-radius: 5px;
        .avatar {
            width: 100px;
            height: 100px;
            border-radius: 50px;
            overflow: hidden;
            margin: auto;
            img {
                width: 100%;
            }
        }
        .name {
            p {
                margin: 0;
            }
            .user_name {
                display: flex;
                justify-content: center;
                p {
                    font-size: 18px;
                    color: #000000;
                    line-height: 25px;
                    margin-right: 8px;
                    font-family: "helvetica_neue";
                }
            }
            .full_name {
                font-size: 14px;
                color: #aaaaaa;
                line-height: 20px;
                font-family: "helvetica_neue_light";
            }
        }
        .info_point {
            display: flex;
            justify-content: space-around;
            width: 70%;
            margin: auto;
            margin-top: 30px;
            .point_item {
                .number {
                    margin: 0;
                    font-size: 21px;
                    color: #000000;
                    font-family: "Oswald";
                    line-height: 20px;
                }
                .label {
                    font-size: 12px;
                    color: #000000;
                    font-family: "helvetica_neue_light";
                }
            }
            hr {
                background-color: #f3f3f3;
                margin: 0;
                height: 38px;
            }
        }
    }

    .box_info {
        margin-top: 8px;
        padding: 24px;
        border-radius: 5px;
        .title {
            span {
                width: 10px;
                transition: 1s;
                img {
                    width: 100%;
                }
            }
            .active {
                transform: rotate(180deg);
            }
            p {
                margin: 0;
                font-size: 14px;
                font-family: "helvetica_neue_medium";
                // font-weight: 800;
            }
        }
        .menu {
            display: none;
            .list-group {
                border-radius: 0;
                .list-group-item {
                    border: none;
                    padding: 0;
                    padding-top: 24px;
                    a {
                        display: flex;
                        text-decoration: none;
                        color: #000000;
                        font-size: 14px;
                        font-family: "helvetica_neue";
                        span {
                            padding-right: 20px;
                            display: flex;
                            align-items: center;
                            svg {
                                width: 16px;
                                height: 16px;
                            }
                        }
                        span.address {
                            svg {
                                width: 20px;
                                height: 16px;
                            }
                        }
                    }
                }
            }
        }
    }
}

.info_order {
    .menu_action {
        .nav {
            white-space: nowrap;
            flex-wrap: inherit;
            white-space: nowrap;
            flex-direction: row;
            width: 100%;
            overflow: auto;
            padding: 0 !important;
            .nav-item {
                .nav-link {
                    padding: 14px 16px;
                    color: #aaaaaa;
                    font-size: 14px;
                    font-family: "helvetica_neue";
                    cursor: pointer;
                }
                .active {
                    color: #f14c7f;
                    border-bottom: 2px solid #f14c7f;
                }
            }
        }
        ::-webkit-scrollbar {
            height: 0;
            background: transparent; /* make scrollbar transparent */
        }
    }
    .action_order {
        margin-top: 16px;
        .card {
            padding-top: 24px;
            padding-bottom: 24px;
            padding-right: 36px;
            padding-left: 36px;
            border: none;
            .title {
                display: flex;
                p {
                    margin: 0;
                }
                .code_order {
                    color: #000000;
                    font-family: "helvetica_neue_light";
                    font-weight: 700;
                    font-size: 14px;
                    span {
                        color: #005db6;
                    }
                }
                .status_order {
                    margin-left: auto;
                    color: #2ba837;
                    background-color: #e6f5e7;
                    padding: 2px 4px;
                    border-radius: 2px;
                    font-size: 12px;
                    font-family: "helvetica_neue";
                }
                .status_disable {
                    color: #7a7979;
                    background-color: #f3f3f3;
                }
                .status_unpaid {
                    color: #eb5757;
                    background-color: #ffefef;
                }
                .status_process {
                    color: #00d8df;
                    background-color: #ebfeff;
                }
                .status_shipping {
                    color: #ddc341;
                    background-color: #fffbdb;
                }
            }
            .list_order {
                margin-top: 4px;
                .list-group {
                    .list-group-item {
                        padding: 0;
                        display: flex;
                        padding-top: 20px;
                        padding-bottom: 20px;
                        border-bottom: 1px solid #f3f3f3;
                        .name_product {
                            font-size: 14px;
                            line-height: 20px;
                            p {
                                margin: 0;
                                font-family: "helvetica_neue";
                                font-weight: 500;
                            }
                            width: 56%;
                            white-space: nowrap;
                            overflow: hidden;
                            text-overflow: ellipsis;
                            margin-left: 23px;
                            span.total {
                                font-family: "helvetica_neue_light";
                                font-weight: 500;
                            }
                        }
                        .image_product {
                            width: 60px;
                            height: 60px;
                            overflow: hidden;
                            img {
                                width: 100%;
                            }
                        }
                        .price_product {
                            margin-left: auto;
                            font-size: 14px;
                            font-family: "helvetica_neue";
                        }
                    }
                }
                .total_price {
                    margin-top: 25px;
                    margin-bottom: 25px;
                    display: flex;
                    justify-content: space-between;
                    p {
                        font-family: "helvetica_neue_light";
                        font-size: 14px;
                        color: #aaaaaa;
                    }
                    .date_buy {
                        span {
                            color: #000000;
                        }
                    }
                    .total_number {
                        span {
                            font-family: "helvetica_neue_medium";
                            color: #000000;
                        }
                    }
                }
                .button_detail {
                    .btn-detail {
                        float: right;
                        padding: 9px 44px;
                        background-color: #ffffff;
                        border: 1.7px solid #000000;
                        font-size: 16px;
                        font-family: "helvetica_neue";
                    }
                    .btn-detail:hover {
                        background-color: #000000;
                        color: #ffffff;
                    }
                }
            }
        }
        .card-body {
            margin-top: 16px;
        }
    }
}

.edit-profile {
    background-color: #ffffff;
    padding-top: 24px;
    padding-left: 24px;
    .title {
        p {
            text-transform: uppercase;
            font-size: 18px;
            font-family: "helvetica_neue_medium";
        }
    }
    .form-edit-profile {
        margin-top: 40px;
        font-size: 14px;
        font-family: "helvetica_neue";
        .form-group {
            width: 100%;
            margin: 0;
            margin-bottom: 32px;
            .col-form-label {
                color: #aaaaaa;
                font-weight: 500;
            }
            input {
                color: #000000;
                border: 1px solid transparent;
                padding-top: 10px;
                padding-bottom: 10px;
                padding-left: 12px;
            }
            input:focus {
                color: #000000;
                border: 1px solid #aaaaaa;
                border-radius: 0;
            }
            .input-phone {
                border: 1px solid #aaaaaa;
                border-radius: 0;
            }
            .arrow {
                display: none;
            }
            .gender_checkbox {
                display: flex;
                .form-check-inline {
                    margin-right: 24px;

                    input {
                        width: 16px;
                        height: 16px;
                        margin-right: 8px;
                    }
                }
            }
            .gender_checkbox_mb {
                display: none;
            }
            .birth_day {
                display: flex;
                align-items: center;
                justify-content: space-between;
                select {
                    max-width: 116px;
                    width: 100%;
                    padding-left: 12px;
                    padding-top: 10px;
                    padding-bottom: 10px;
                }
            }
            .birth_day_mb {
                display: none;
            }
        }
        .btn-save {
            max-width: 220px;
            width: 100%;
            padding-top: 14px;
            padding-bottom: 14px;
            background-color: #000000;
            color: white;
            box-shadow: none;
            outline: none;
            border: 0;
            font-size: 16px;
            border: 1px solid #000000;
        }
        .btn-save:hover {
            background-color: white;
            color: #000000;
            box-shadow: none;
            outline: none;
        }
    }
}

// page category
#section-categori-page {
    font-family: "helvetica_neue";
    margin-top: 30px;
    margin-bottom: 120px;
    .ads {
        .image-ads {
            background-size: cover;
            height: 360px;
            background-repeat: no-repeat;
        }
    }
}
button.slick-arrow {
    position: absolute;
    height: 100%;
    z-index: 1;
    background-color: transparent;
    border: none;
    padding: 0px 5px;
    svg {
        height: 100%;
    }
}

button.slick-prev.slick-arrow {
    top: 0;
    left: 0;
}
button.slick-next.slick-arrow {
    top: 0;
    right: 0;
    svg {
        transform: rotate(180deg);
    }
}
#breadcrumb_category {
    margin-top: 40px;
    margin-bottom: 30px;
    .nav_breadcrumb {
        ol.breadcrumb {
            background-color: transparent;
            padding: 0;
            .breadcrumb-item {
                color: red;
                a {
                    color: #7a7979 !important;
                    font-size: 16px;
                }
            }
            .breadcrumb-item + .breadcrumb-item::before {
                padding-left: 16px;
                padding-right: 16px;
            }
        }
    }
}
#category-content-main {
    .search-catalog {
        padding: 0;

        .title-catalog {
            padding: 15px 0;

            h4 {
                font-size: 16px;
                font-weight: 700;
            }
        }
        .bottom-cross {
            border-bottom: 1px solid #000000;
        }
        .list-category {
            margin-top: 24px;
            margin-bottom: 24px;
            ul.list-ul {
                height: 300px;
                overflow-y: scroll;
                li.list-item {
                    padding: 10px 0;

                    a {
                        color: #000000;
                        font-size: 14px;
                    }
                    .image-category {
                        display: none;
                    }
                }
            }
            ul.list-ul::-webkit-scrollbar {
                background-color: #f5f5f5;
                width: 3px;
            }
            ul.list-ul::-webkit-scrollbar-thumb {
                background-color: #000000;
            }
        }
        .input-group {
            background: white;
            border: 1px solid #aaaaaa;
            height: 32px;
        }
        input.form-control {
            border-radius: 0;
            border: none;
            background-color: transparent;
            height: 100%;
            padding: 0;
            box-shadow: none;
        }
        input.form-control::placeholder {
            padding-left: 10px;
            font-size: 14px;
        }
        .input-group-append button {
            border-radius: 0px;
            border: none;
            background-color: transparent;
            height: 100%;
            padding: 0;
            width: 27px;
            display: flex;
            align-items: center;
            color: #aaaaaa;
            padding-right: 10px;
        }
        .input_search {
            .title-mb {
                display: none;
            }
            .title-form {
                margin-bottom: 10px;
                a {
                    display: none;
                }
            }
            .input-search-brand {
                margin-top: 20px;
                margin-bottom: 20px;
                .keyword{
                    display: none;
                }
                .checkbox-group {
                    display: flex;
                    align-items: center;
                    margin-bottom: 16px;
                    input[type="checkbox"] {
                        cursor: pointer;
                        width: 20px;
                        height: 20px;
                        border-radius: 1px;
                    }
                    label {
                        margin: 0;
                        margin-left: 12px;
                    }
                }
            }
            .input-price {
                display: flex;
                align-items: center;
                input {
                    width: 80px;
                    height: 32px;
                    border: 1px solid #aaaaaa;
                }
                input::placeholder {
                    padding-left: 10px;
                    color: #000000;
                }
                span {
                    width: 13px;
                    border-bottom: 1px solid #aaaaaa;
                    height: 1px;
                    margin-left: 7px;
                    margin-right: 7px;
                }
            }
            .checkbox-price {
                display: flex;
                justify-content: space-between;
                margin-top: 20px;
                padding-bottom: 20px;
                border-bottom: 1px solid #000000;
                margin-bottom: 30px;
                .form-check {
                    padding: 7px;
                    background: #f3f3f3;
                    display: flex;
                    align-items: center;
                    cursor: pointer;
                    input {
                        visibility: hidden;
                    }
                    label {
                        font-size: 12px;
                        cursor: pointer;
                    }
                }
            }
            .btn-action {
                border: 1px solid #000000;
                background-color: white;
                outline: none;
                padding: 8px;
                font-size: 14px;
            }
            .btn-apply {
                padding-right: 19px;
                padding-left: 19px;
                margin-left: 8px;
                background-color: #000000;
                color: white;
            }
        }
    }
}
.menu-sort {
    display: flex;
    align-items: center;
    p {
        margin: 0;
        color: #7a7979;
        margin-right: 13px;
    }
    button {
        padding: 7px 19px;
        border: none;
        border-radius: 1px;
        background-color: white;
        margin-left: 4px;
        margin-right: 4px;
    }
    select {
        width: 168px;
        height: 36px;
        border-radius: 2px;
        border: none;
        background-color: white;
    }
}
#content-product {
    padding: 0;
    padding-left: 40px;
    .main-content-prodcut {
        display: flex;
        flex-wrap: wrap;
        margin-top: 45px;
        .product-items {
            width: calc(20% - 10px);
            margin-left: 5px;
            margin-right: 5px;
            background-color: white;

            margin-top: 24px;
            .product-image {
                width: 100%;
                min-height: 188px;
                max-height: 188px;
                overflow: hidden;
                img {
                    width: 100%;
                }
            }
            .title {
                font-size: 14px;
                color: #000000;
                font-family: "helvetica_neue_light";
                padding: 5px;
            }
            .price {
                padding: 5px;
                margin-bottom: 20px;
                .sale-price {
                    color: #f14c7f;
                    font-size: 16px;
                }
                .origin-price {
                    color: #aaaaaa;
                    font-size: 13px;
                    text-decoration: line-through;
                }
            }
        }
    }
}

.topbar-mb-category {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: white;
    min-height: 90px;
    z-index: 1111;
    display: none;
    .btn-form-search {
        width: 100%;
        padding-top: 16px;
        display: flex;
        justify-content: end;
        padding-right: 24px;
        button {
            width: 24px;
            background-color: transparent;
            border: none;
            outline: none;
            margin-left: 24px;
        }
    }
    .form-action-search {
        width: 100%;
        position: absolute;
        top: 50%;
        transform: translate(0, -50%);
        display: none;
        form {
            width: 100%;
            display: flex;
            padding: 0 20px;
            input {
                width: 100%;
                border: none;
                border-bottom: 1px solid #aaaaaa;
                margin-left: 20px;
                outline: none;
            }
            .button-back {
                button {
                    border: none;
                    background-color: white;
                    box-shadow: none;
                }
            }
        }
    }
    .form-action-search .active {
        display: block;
    }
}

// =================================
// responsive my page
@media (max-width: 720px) {
    .wapper_order {
        padding-bottom: 32px;
        .container {
            .row {
                .col-12 {
                    padding-left: 0;
                    padding-right: 0;
                }
            }
        }
    }
    .info_order {
        margin-top: 10px;
    }
    .edit-profile {
        margin-top: 10px;
        .title p {
            padding-left: 20px;
        }
        .form-edit-profile {
            padding-left: 20px;
            padding-right: 29px;
            position: relative;
            .form-group {
                border-bottom: 1px solid #f3f3f3;
                margin-bottom: 0;
                padding: 20px 0;
                .col-form-label {
                    display: flex;
                    align-items: center;
                }
                input {
                    text-align: right;
                    padding-right: 20px;
                    padding-top: 0px !important;
                    padding-bottom: 0px !important;
                }
                .input-phone {
                    pointer-events: none;
                    border: none;
                }
                .input_arrow {
                    position: relative;
                }
                .arrow {
                    width: 14px;
                    display: block;
                    position: absolute;
                    right: 0px;
                    transform: rotate(-90deg);
                    svg {
                        width: 100%;
                    }
                }
                .gender_checkbox {
                    display: none;
                }
                .birth_day_mb,
                .gender_checkbox_mb {
                    display: flex;
                    justify-content: right;
                    align-items: center;
                    p {
                        padding-right: 20px;
                        margin: 0;
                    }
                }
                .birth_day {
                    display: none;
                }
                .col-4,
                .col-8 {
                    padding: 0;
                }
            }
            .btn-save {
                max-width: 100%;
                width: 100%;
                padding-top: 10px;
                padding-bottom: 10px;
            }
            .button-save {
                margin-top: 40px;
                hr {
                    position: absolute;
                    left: 0;
                    right: 0;
                    color: #e4e4e4;
                    bottom: 75px;
                }
            }
        }
    }

    #modal_edit_profile_gender,
    #modal_edit_profile_phone {
        font-family: "helvetica_neue_medium";
        font-size: 14px;
        .modal-content {
            border: 1px solid #f3f3f3;
        }
        h5 {
            font-size: 14px;
        }
        .modal-dialog {
            margin: 0;
            margin-top: 100px;
        }
        .modal-title {
            margin: auto;
        }
        .modal-header .close {
            padding: 0;
            margin: 0;
        }
        .modal-footer {
            border-top: 0;
        }
        form {
            width: 80%;
            margin: auto;
            label {
                span {
                    color: #f14c7f;
                }
            }
            input {
                border: none;
                border-bottom: 1px solid #f3f3f3;
                border-radius: 0;
                padding: 0;
                font-family: "helvetica_neue";
                color: #000000;
            }
            .icon-delete-value {
                position: absolute;
                right: 20px;
                top: 50%;
                width: 12px;
                height: 12px;
                background: #f3f3f3;
                display: flex;
                justify-content: center;
                align-items: center;
                border-radius: 50%;
            }
            .btn-save {
                width: 100%;
                padding-top: 10px;
                padding-bottom: 10px;
                background-color: #000000;
                color: white;
                box-shadow: none;
                outline: none;
                border: 0;
                font-size: 14px;
                font-family: "helvetica_neue";
            }
        }
    }
    #modal_edit_profile_gender {
        font-family: "helvetica_neue";
        padding-right: 0 !important;
        .modal-title {
            margin: auto;
            font-family: "helvetica_neue_medium";
        }
        .modal-header .close {
            font-size: 14px !important;
            color: #000000;
        }
        .done {
            color: #005db6;
            border: none;
            outline: none;
            box-shadow: none;
            background-color: transparent;
        }
        .modal-dialog {
            margin: 0;
            position: absolute;
            left: 0;
            right: 0;
            bottom: 0;
        }
        .modal-body {
            .form-check {
                text-align: center;
                padding: 0;
                padding-top: 8px;
                padding-bottom: 8px;

                .form-check-input {
                    opacity: 0;
                }
            }
            .active {
                background-color: #f3f3f3;
            }
        }
    }
}

@media (max-width: 426px) {
    // page category
    #section-categori-page {
        .ads {
            .image-ads {
                background-size: cover;
                max-height: 360px;
                background-repeat: no-repeat;
                height: 100%;
                min-height: 108px;
            }
        }
    }
}

// =================================

@media (max-width: 767.98px) {
    #section-categori-page .ads .image-ads {
        height: 213px;
    }
    #breadcrumb_category {
        display: none;
    }

    #category-content-main {
        .search-catalog {
            background-color: #f3f3f3;
            .title-catalog {
                display: none;
            }
            .title-catalog-mb {
                margin-top: 20px;
                background-color: white;
                font-family: "helvetica_neue_medium";
                padding-bottom: 20px;
                p {
                    display: block;
                    font-size: 16px;
                    margin: 0;
                    padding-left: 20px;
                }
            }
            .input-group {
                background: white;
                border: 1px solid #f3f3f3;
                height: 32px;
            }
            .list-category {
                margin-top: 0;
                .list-ul {
                    display: flex;
                    flex-direction: column;
                    flex-wrap: wrap;
                    background-color: white;
                    .list-item {
                        width: 60px;
                        margin-left: 20px;
                    }
                    .image-category {
                        padding: 10px;
                        background-color: #f3f3f3;
                        display: block !important;
                        border-radius: 5px;
                        img {
                            width: 100%;
                        }
                    }
                }
                ul.list-ul::-webkit-scrollbar {
                    background-color: #f5f5f5;
                    height: 2px;
                }
                ul.list-ul::-webkit-scrollbar-thumb {
                    background-color: transparent;
                }
            }

            .input_search {
                position: fixed;
                top: 0;
                bottom: 0;
                right: 0;
                left: 0;
                background-color: white;
                z-index: 999999;
                padding: 0 24px;
                display: none;
                .title-form {
                    display: flex;
                    margin-bottom: 10px;
                    font-weight: 600;
                    #view-all-brand{
                        display: none;
                    }
                    a {
                        margin-left: auto;
                        display: flex;
                        font-size: 13px;
                        justify-content: center;
                        align-items: center;
                        text-decoration: underline;
                        color: #000000;
                        span {
                            width: 12px;
                        }
                    }
                    #close-view-all{
                        width: 24px;
                        height: 24px;
                        display: none;
                    }
                    img {
                        width: 100%;
                    }
                }
                .title-mb {
                    display: none;
                    padding-top: 11px;
                    margin-bottom: 42px;
                    p {
                        font-size: 16px;
                        margin: 0;
                        font-family: "helvetica_neue_medium";
                    }
                    span {
                        height: 24px;
                        width: 24px;
                        margin-left: auto;
                        img {
                            width: 100%;
                        }
                    }
                }
                .input-price {
                    input {
                        width: 50%;
                        border: 1px solid #f3f3f3;
                    }
                    span {
                        border-bottom: 1px solid #f3f3f3;
                    }
                }

                .checkbox-price {
                    justify-content: unset;
                    border: none;
                    .form-check {
                        margin-right: 8px;
                    }
                }
                .button-action {
                    position: fixed;
                    bottom: 10px;
                    left: 0;
                    right: 0;
                    text-align: center;
                    padding: 10px;
                    border-top: 1px solid #e4e4e4;
                    button {
                        width: calc(50% - 30px);
                    }
                }
                .bottom-cross {
                    border: none;
                }

                .input-search-brand{
                    position: absolute;
                    top: 85px;
                    background-color: white;
                    z-index: 1;
                    left: 0;
                    right: 0;
                    padding: 0 24px;
                    display: none;
                    .keyword {
                        width: 100%;
                        display: flex;
                        justify-content: space-between;
                        padding-bottom: 16px;
                        border-bottom: 1px solid #f3f3f3;
                        margin-bottom: 16px;
                        button{
                            border: none;
                            background-color: transparent;
                        }
                    }
                }
            }
            
            .input-search-brand.active,
            .input_search.active {
                display: block !important;
            }
            #close-view-all.active,
            .title-mb.active,
            #view-all-brand.active{
                display: flex !important;
            }
            form#form-search-product.active{
                margin-top: 24px;
            }
        }
    }
    .topbar-mb-category {
        display: block;
    }

    #content-product {
        padding: 0;
        padding-left: 0px;
    }
}

@media (max-width: 575.98px) {
    #section-categori-page .ads .image-ads {
        height: 120px;
    }
}
